
  <?php 

  /*
    Vamos a imprimir un logotipo
    opcional. Recuerda que esto
    no funcionará en todas las
    impresoras
  
    Pequeña nota: Es recomendable que la imagen no sea
    transparente (aunque sea png hay que quitar el canal alfa)
    y que tenga una resolución baja. En mi caso
    la imagen que uso es de 250 x 250
  */
  
  # Vamos a alinear al centro lo próximo que imprimamos
  // $printer->setJustification(Printer::JUSTIFY_CENTER);
  
    $connector->write(Printer::GS."L".chr(0).chr(0));
    
    $printer->setFont(Printer::FONT_B);
    // $printer -> setEmphasis(true); // CON ENFASIS
    //TEXTO A IMPRIMIR
    $printer -> setTextSize(1, 1);
    $printer -> setJustification(Printer::JUSTIFY_CENTER); // centrado
  
    // DESCOMENTAR LUEGO
    try{
      $logo = EscposImage::load("img/logo_hrl_ticket.png");
      $printer->bitImage($logo);
    }catch(Exception $e){/*No hacemos nada si hay error*/}
  
    $printer -> text("HOSP. REGIONAL LAMBAYEQUE A SUNAT 0071845104542 \n");
    $printer -> text("Via de evitamiento norte con av. el prog\n");
    // $printer->text("Prog Augusto B Leguia Nº100 (Esq. av Progreso\n)");
    $printer -> text("RUC: 20487911586     Telef: 074-480420 \n");
  
  
    /*Alimentamos el papel 3 veces*/
    $printer->feed(3);
  
  /*
    Cortamos el papel. Si nuestra impresora
    no tiene soporte para ello, no generará
    ningún error
  */
    $printer->cut();
  
  /*
    Por medio de la impresora mandamos un pulso.
    Esto es útil cuando la tenemos conectada
    por ejemplo a un cajón
  */
    $printer->pulse();
  
  /*
    Para imprimir realmente, tenemos que "cerrar"
    la conexión con la impresora. Recuerda incluir esto al final de todos los archivos
  */
    $printer->close();



  